# surface.h File Reference

Go to the source code of this file.

## Classes
class | Cairo::GlitzSurface
| A GlitzSurface provides a way to render to the X Window System using Glitz. More...
class | Cairo::ImageSurface
| Image surfaces provide the ability to render to memory buffers either allocated by cairo or by the calling code. More...
class | Cairo::PdfSurface
| A PdfSurface provides a way to render PDF documents from cairo. More...
class | Cairo::PsSurface
| A PsSurface provides a way to render PostScript documents from cairo. More...
class | Cairo::Surface
| A cairo surface represents an image, either as the destination of a drawing operation or as source when drawing onto another surface. More...
class | Cairo::SvgSurface
| A SvgSurface provides a way to render Scalable Vector Graphics (SVG) images from cairo. More...
## Namespaces
namespace | Cairo
## Enumerations
enum | Cairo::PsLevel { Cairo::PS_LEVEL_2 = CAIRO_PS_LEVEL_2, Cairo::PS_LEVEL_3 = CAIRO_PS_LEVEL_3 }
| describes the language level of the PostScript Language Reference that a generated PostScript file will conform to. More...
enum | Cairo::SvgVersion { Cairo::SVG_VERSION_1_1 = CAIRO_SVG_VERSION_1_1, Cairo::SVG_VERSION_1_2 = CAIRO_SVG_VERSION_1_2 }